Bug 500414 - RFE: produce a list of empty debuginfo rpms
RFE: produce a list of empty debuginfo rpms
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: releng (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Dennis Gregorovic
Alexander Todorov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 11:42 EDT by Alexander Todorov
Modified: 2009-09-02 08:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 08:02:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2009-05-12 11:42:11 EDT
Description of problem:
A simple rpm -qpl *.rpm shows 30 empty debuginfo packages in the latest RHEL nightly build. 

Can you add a simple check to distill that will identify the empty debuginfo packages. It can also check binary and source rpms as well. 

The list will be passed on to QA to identify incorrectly built packages.
Comment 1 Alexander Todorov 2009-05-12 11:43:47 EDT
FYI: there's the same request for rpmdiff, see bug #249746 but some packages may never be on the approved list (or update every few years) and the problems may go unnoticed for quite long time.
Comment 2 Dennis Gregorovic 2009-05-13 08:13:40 EDT
Sanity check added.
Comment 7 errata-xmlrpc 2009-09-02 08:02:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1400.html

Note You need to log in before you can comment on or make changes to this bug.